diff a/hat/pom.xml b/hat/pom.xml
--- /dev/null
+++ b/hat/pom.xml
@@ -0,0 +1,72 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+   <modelVersion>4.0.0</modelVersion>
+   <groupId>oracle.code</groupId>
+   <version>1.0</version>
+   <artifactId>hat.root</artifactId>
+   <packaging>pom</packaging>
+   <properties>
+        <babylon.repo.name>babylon</babylon.repo.name>  <!--replace with your fork name -->
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+        <maven.compiler.source>24</maven.compiler.source>
+        <maven.compiler.target>24</maven.compiler.target>
+        <github.dir>${env.HOME}/github</github.dir>
+        <beehive.spirv.toolkit.dir>${github.dir}/beehive-spirv-toolkit/</beehive.spirv.toolkit.dir>
+        <babylon.dir>${github.dir}/${babylon.repo.name}</babylon.dir>
+        <hat.dir>${babylon.dir}/hat</hat.dir>
+        <hat.target>${hat.dir}/maven-build</hat.target>
+   </properties>
+
+   <profiles>
+
+       <profile>
+          <id>default</id>
+          <activation>
+             <activeByDefault>true</activeByDefault>
+          </activation>
+          <modules>
+             <module>hat</module>
+             <module>backends</module>
+             <module>examples</module>
+          </modules>
+       </profile>
+
+       <profile>
+          <id>hattricks</id>
+          <activation>
+             <file>
+                <exists>hattricks</exists>
+             </file>
+          </activation>
+          <modules>
+             <module>hat</module>
+             <module>backends</module>
+             <module>examples</module>
+             <module>hattricks</module>
+          </modules>
+       </profile>
+   </profiles>
+   <build>
+      <plugins>
+          <plugin>
+             <groupId>org.apache.maven.plugins</groupId>
+             <artifactId>maven-compiler-plugin</artifactId>
+             <version>3.11.0</version>
+             <configuration>
+                <compilerArgs>
+                    <arg>--enable-preview</arg>
+                    <arg>--add-exports=java.base/jdk.internal=ALL-UNNAMED</arg>
+                    <arg>--add-exports=java.base/jdk.internal.vm.annotation=ALL-UNNAMED</arg>
+                </compilerArgs>
+                <source>${maven.compiler.source}</source>
+                <target>${maven.compiler.target}</target>
+                <showDeprecation>true</showDeprecation>
+                <failOnError>true</failOnError>
+                <showWarnings>true</showWarnings>
+                <showDeprecation>true</showDeprecation>
+            </configuration>
+         </plugin>
+     </plugins>
+   </build>
+
+</project>
